Package org.apache.nutch.net.protocols

## Class ProtocolException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.nutch.net.protocols.ProtocolException

- All Implemented Interfaces:
    `Serializable`

      @Deprecated
      public class ProtocolException
      extends Exception
      implements Serializable

  Deprecated.
  Use `ProtocolException` instead.
  Base exception for all protocol handlers
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProtocolException()` | Deprecated.
    `ProtocolException​(String message)` | Deprecated.
    `ProtocolException​(String message, Throwable cause)` | Deprecated.
    `ProtocolException​(Throwable cause)` | Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProtocolException

          public ProtocolException()

      Deprecated.

    - #### ProtocolException

          public ProtocolException​(String message)

      Deprecated.

    - #### ProtocolException

          public ProtocolException​(String message,
                                   Throwable cause)

      Deprecated.

    - #### ProtocolException

          public ProtocolException​(Throwable cause)

      Deprecated.